#include "OE_preferences.h"

OE_preferences::OE_preferences()
{

}

OE_color OE_preferences::hoopColor = OE_color(0.0, 0.0, 0.0, .5);
OE_color OE_preferences::backgroundColor = OE_color(0.85, 0.85, 0.85, 1.0);
OE_color OE_preferences::cursorColor = OE_color(0.0, 0.0, 0.0, 0.3);
OE_color OE_preferences::gridColor = OE_color(0.0, 0.0, 0.0, 0.1);
OE_color OE_preferences::zeroColor = OE_color(0.0, 0.0, 0.0, 1.0);
float OE_preferences::zeroSize = 3;

OE_color OE_preferences::curveColor = OE_color(0,.63,.75,1.0);
OE_color OE_preferences::curveTangeantColor = OE_color(.39,.235,.36,1.0);
OE_color OE_preferences::curvePointColor = OE_color(.39,.235,.36,1.0);
OE_color OE_preferences::curveControlsColor = OE_color(.78,0,0,1.0);

float OE_preferences::curveWidth = 1.5;
float OE_preferences::curveTangeantWidth = 1.5;
float OE_preferences::curvePointSize = 3.0;
float OE_preferences::curveStartPointSize = 5.0;

OE_color OE_preferences::stitchLineBeforeCurrentColor = OE_color(.08,.08,.08,1.0);
OE_color OE_preferences::stitchLineAfterCurrentColor = OE_color(.08,.08,.08,1.0);
OE_color OE_preferences::stitchPointBeforeCurrentColor = OE_color(.08,.08,.08,1.0);
OE_color OE_preferences::stitchPointAfterCurrentColor = OE_color(.08,.08,.08,1.0);
OE_color OE_preferences::stitchStartPointColor = OE_color(.39,.235,.36,1.0);
OE_color OE_preferences::stitchControlsColor = OE_color(.78,0,0,1.0);

float OE_preferences::stitchPointSize = 3.0;
float OE_preferences::stitchLineWidth = 1.5;
float OE_preferences::stitchStartPointSize = 5.0;

OE_color OE_preferences::instLineBeforeCurrentColor = OE_color(0,.63,.75,.3);
OE_color OE_preferences::instLineAfterCurrentColor = OE_color(0,.63,.75,1.0);
OE_color OE_preferences::instStartPointColor = OE_color(.39,.23,.36,1.0);
OE_color OE_preferences::instCurPointColor = OE_color(.78,.2,.2,1.0);
OE_color OE_preferences::instColor = OE_color(.39,.23,.36,1.0);
float OE_preferences::instPointSize = 3.0;
float OE_preferences::instLineWidth = 1.5;
float OE_preferences::instStartPointSize = 5.0;
float OE_preferences::instCurPointSize = 5.0;

OE_color OE_preferences::machineStartPointColor;
OE_color OE_preferences::machineCurPointColor;

float OE_preferences::moveCrossSize = 30;
OE_color OE_preferences::transformGizmoColor = OE_color(1,0,0,1);
OE_color OE_preferences::selectionBoundColor = OE_color(1,0,0,1);
